com.gary.msr

## Class MainActivity

- java.lang.Object
- - TabActivity
  - - com.gary.msr.MainActivity

-     public class MainActivity
      extends TabActivity

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `MainActivity.LayerViews`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `AsciiDialogListener` | `asciiDialogListener`
    `CodeDialogListener` | `codeDialogListener`
    `static int` | `GROUP_ASCII_CHECKED`
    `static int` | `GROUP_CODE_CHECKED`
    `static int` | `GROUP_UNCHECKED`
    `static Handler` | `handler`
    `static MSRPacket` | `mMSRPacket`
    `static int` | `REFRESH_MAIN_UI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainActivity()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int[]` | `byteArr2IntArr(byte[] byteArr)`
    `java.util.List<View>` | `getAllChildViews()`
    `static MainActivity` | `getInstance()`
    `static char[]` | `intArr2CharArr(int[] intArr, int len)`
    `void` | `onCheckedChanged(CompoundButton view, boolean isChecked)`
    `void` | `onClick(View v)`
    `void` | `updateMSRLayerNUI(java.util.List<MSRLayerParams.MSRLayerNParam> paramns)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mMSRPacket

          public static MSRPacket mMSRPacket

    - #### GROUP_UNCHECKED

          public static final int GROUP_UNCHECKED

      See Also:
        Constant Field Values

    - #### GROUP_ASCII_CHECKED

          public static final int GROUP_ASCII_CHECKED

      See Also:
        Constant Field Values

    - #### GROUP_CODE_CHECKED

          public static final int GROUP_CODE_CHECKED

      See Also:
        Constant Field Values

    - #### REFRESH_MAIN_UI

          public static final int REFRESH_MAIN_UI

      See Also:
        Constant Field Values

    - #### handler

          public static Handler handler

    - #### asciiDialogListener

          public AsciiDialogListener asciiDialogListener

    - #### codeDialogListener

          public CodeDialogListener codeDialogListener

  - ### Constructor Detail

    - #### MainActivity

          public MainActivity()

  - ### Method Detail

    - #### getInstance

          public static MainActivity getInstance()

    - #### onClick

          public void onClick(View v)

    - #### intArr2CharArr

          public static char[] intArr2CharArr(int[] intArr,
                                              int len)

    - #### byteArr2IntArr

          public static int[] byteArr2IntArr(byte[] byteArr)

    - #### updateMSRLayerNUI

          public void updateMSRLayerNUI(java.util.List<MSRLayerParams.MSRLayerNParam> paramns)

    - #### getAllChildViews

          public java.util.List<View> getAllChildViews()

    - #### onCheckedChanged

          public void onCheckedChanged(CompoundButton view,
                                       boolean isChecked)